org.codehaus.plexus.component.repository

## Class ComponentRequirement

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentRequirement

    public final class ComponentRequirement
    extends Object

Version:
  $Id: ComponentRequirement.java 2573 2005-09-30 23:38:00Z jdcasey $
Author:
  Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`ComponentRequirement()`

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getFieldMappingType()`
`String` `getFieldName()`
`String` `getHumanReadableKey()`
`String` `getRequirementKey()`
`String` `getRole()`
`String` `getRoleHint()`
`int` `hashCode()`
`void` `setFieldMappingType(String fieldType)`
`void` `setFieldName(String fieldName)`
`void` `setRole(String role)`
`void` `setRoleHint(String roleHint)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentRequirement

    public ComponentRequirement()

### Method Detail

#### getFieldName

    public String getFieldName()

#### setFieldName

    public void setFieldName(String fieldName)

#### getRole

    public String getRole()

#### setRole

    public void setRole(String role)

#### getRoleHint

    public String getRoleHint()

#### setRoleHint

    public void setRoleHint(String roleHint)

#### getRequirementKey

    public String getRequirementKey()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getHumanReadableKey

    public String getHumanReadableKey()

#### getFieldMappingType

    public String getFieldMappingType()

#### setFieldMappingType

    public void setFieldMappingType(String fieldType)

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`